POST api/medistreamprogramsteptypeapi/add?siteId={siteId}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| siteId | globally unique identifier |
None. |
Body Parameters
MediStreamProgramStepTypeViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
None. |
|
| code | integer |
Required |
|
| name | string |
Required |
|
| active | boolean |
Required |
Request Formats
application/json, text/json
Sample:
{
"id": "2ad9d0f4-11f2-4a0e-bbd3-a1480dd71b99",
"code": 2,
"name": "sample string 3",
"active": true
}
application/xml, text/xml
Sample:
<medistream_program_step_type xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel"> <active>true</active> <code>2</code> <id>2ad9d0f4-11f2-4a0e-bbd3-a1480dd71b99</id> <name>sample string 3</name> </medistream_program_step_type>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
globally unique identifierResponse Formats
application/json, text/json
Sample:
"5ee72fad-ddaa-41e8-8cc0-9a8d0941b2bb"
application/xml, text/xml
Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">5ee72fad-ddaa-41e8-8cc0-9a8d0941b2bb</guid>